BEEP(1)

NAME
beep - play a beep sound

SYNOPSIS
beep [-Bh] [-D duration_ms] [-F frequency_hz] [-d oss_device] [-g gain] [-r sample_rate_hz]

DESCRIPTION
The beep utility is used to play a beep on the sound card.

The options are as follows:

-B  Runs the beep utility in the background.

-D duration_ms
    Sets the duration of the beep in milliseconds, between 50 ms and 2000 ms inclusively. The default is 150 ms.

-F frequency_hz
    Sets the center frequency of the beep in Hz. The default is 440 Hz.

-d oss_device
    Sets the OSS device to use. The default is /dev/dsp.

-g gain
    Sets the waveform gain, between 0 and 100 inclusively. The default is 75.

-h  Display summary of options.

-r sample_rate_hz
    Sets the sound card sample rate in Hz, between 8000 Hz and 48000 Hz inclusively. The default is 48000 Hz.

EXAMPLES
Play default beep sound on /dev/dsp:

$ beep

SEE ALSO
mixer(3), sound(4)

HISTORY
The beep utility first appeared in FreeBSD 14.0.

AUTHORS
Hans Petter Selasky <hselasky@FreeBSD.org>